diff --git a/app/fin/schemas/report_schema.go b/app/fin/schemas/report_schema.go
new file mode 100644
index 0000000000000000000000000000000000000000..05e9dd41e9c566dc1ac1d30274175fdcee66fdcb
--- /dev/null
+++ b/app/fin/schemas/report_schema.go
@@ -0,0 +1,185 @@
+package schemas
+
+import "time"
+
+// FinReportEcsReq [财务]-能耗账单请求信息
+type FinPurseIdsReq struct {
+	AreaId    uint   `form:"areaId" json:"hierarchyId" label:"区域ID"`     // 区域ID
+	AreaName  string `form:"areaName" json:"hierarchyName" label:"区域名称"` // 区域名称
+	HouseId   uint   `form:"houseId" json:"houseId" label:"房屋ID"`        // 房屋ID
+	HouseName string `form:"houseName" json:"houseName" label:"房屋名称"`    // 房屋名称
+	OwnerId   uint   `form:"ownerId" json:"ownerId" label:"业主ID"`        // 业主ID
+	OwnerName string `form:"ownerName" json:"ownerName" label:"业主名称"`    // 业主名称
+	EcsType   string `form:"ecsType" json:"ecsType" label:"能耗类型(仪表类型)"`  // 能耗类型(仪表类型)
+}
+
+// FinReportEcsReq [财务]-能耗账单请求信息
+type FinReportEcsReq struct {
+	// AreaId    uint   `form:"areaId" json:"areaId" label:"区域ID"`       // 区域ID
+	// AreaName  string `form:"areaName" json:"areaName" label:"区域名称"`   // 区域名称
+	// HouseId   uint   `form:"houseId" json:"houseId" label:"房屋ID"`     // 房屋ID
+	// HouseName string `form:"houseName" json:"houseName" label:"房屋名称"` // 房屋名称
+	// OwnerId   uint   `form:"ownerId" json:"ownerId" label:"业主ID"`     // 业主ID
+	// OwnerName string `form:"ownerName" json:"ownerName" label:"业主名称"` // 业主名称
+	OnAccount string `form:"onAccount" json:"onAccount" label:"挂账状态"` // 挂账状态
+	FinPurseIdsReq
+}
+
+// FinReportEcsStasRes [财务]-能耗账单统计返回信息
+type FinReportEcsStasRes struct {
+	BillAmount      float64 `json:"billAmount" form:"billAmount" structs:"billAmount"`       // 账单金额
+	UnpaidAmount    float64 `json:"unpaidAmount" structs:"unpaidAmount"`                     // 未缴金额
+	PaidAmount      float64 `json:"paidAmount" structs:"paidAmount"`                         // 已缴金额
+	LateAmount      float64 `json:"lateAmount" structs:"lateAmount"`                         // 滞纳金
+	ReductionAmount float64 `json:"reductionAmount" structs:"reductionAmount"`               // 减免金额
+	UsageTotal      float64 `json:"usageTotal" form:"usageTotal" structs:"usageTotal"`       // 用量
+	RefundAmount    float64 `json:"refundAmount" form:"refundAmount" structs:"refundAmount"` // 退费金额
+}
+
+// FinReportEcsStasRes [财务]-能耗账单统计列表返回信息
+type FinReportEcsListRes struct {
+	Id              uint    `json:"id" structs:"id"`                                            // 主键
+	HouseName       string  `json:"houseName" structs:"houseName"`                              // 房间名
+	AreaName        string  `form:"areaName" json:"areaName" label:"区域名称"`                      // 区域名称
+	OwnerName       string  `form:"ownerName" json:"ownerName" label:"业主名称"`                    // 业主名称
+	MeterType       string  `form:"meterType" json:"meterType" label:"设备类型"`                    // 设备类型
+	FeeName         string  `json:"-"`                                                          // 费用名称
+	FeeNameTip      string  `json:"feeNameTip"`                                                 // 费用名称提示
+	FeeRange        string  `json:"feeRange"`                                                   // 费用区间
+	StartDate       string  `json:"startDate" form:"startDate" structs:"startDate"`             // 费用区间(开始时间)
+	EndDate         string  `json:"endDate" form:"endDate" structs:"endDate"`                   // 费用区间(结束时间)
+	BillAmount      float64 `json:"billAmount" form:"billAmount" structs:"billAmount"`          // 账单金额
+	UnpaidAmount    float64 `json:"unpaidAmount" structs:"unpaidAmount"`                        // 未缴金额
+	PaidAmount      float64 `json:"paidAmount" structs:"paidAmount"`                            // 已缴金额
+	LateAmount      float64 `json:"lateAmount" structs:"lateAmount"`                            // 滞纳金
+	ReductionAmount float64 `json:"reductionAmount" structs:"reductionAmount"`                  // 减免金额
+	UsageTotal      float64 `json:"usageTotal" form:"usageTotal" structs:"usageTotal"`          // 用量
+	UsageStart      float64 `json:"usageStart" form:"usageStart" structs:"usageStart"`          // 起始用量
+	UsageEnd        float64 `json:"usageEnd" form:"usageEnd" structs:"usageEnd"`                // 结束用量
+	FinTime         string  `json:"finTime" structs:"finTime"`                                  // 财务时间
+	PayState        string  `form:"payState" json:"payState"`                                   // 支付状态(0:未支付,1:已支付)
+	OnAccount       string  `form:"onAccount" json:"onAccount"`                                 // 是否挂账(0:否,1:是)
+	PaymentMethod   string  `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"` // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
+	PaymentTime     string  `json:"paymentTime"`                                                // 支付时间
+	Payee           string  `json:"payee"`                                                      // 收款人
+	Payer           string  `json:"payer"`                                                      // 付款人
+}
+
+// FinReportPurseReq [财务]-能耗预充值请求信息
+type FinReportPurseReq struct {
+	// AreaId        uint      `form:"areaId" json:"hierarchyId" label:"区域ID"`                     // 区域ID
+	// AreaName      string    `form:"areaName" json:"hierarchyName" label:"区域名称"`                 // 区域名称
+	// HouseId       uint      `form:"houseId" json:"houseId" label:"房屋ID"`                        // 房屋ID
+	// HouseName     string    `form:"houseName" json:"houseName" label:"房屋名称"`                    // 房屋名称
+	PaymentMethod string `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"` // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
+	// EcsType       string    `json:"ecsType" form:"ecsType"`                                     // 能耗类型(electric:电费,water:水费,gas:气费)
+	StartDay time.Time `form:"startDay" json:"startDay" label:"开始日期"`                                        // 开始日期
+	EndDay   time.Time `form:"endDay" json:"endDay" label:"结束日期"`                                            // 结束日期
+	FeeType  string    `form:"feeType" json:"feeType" label:"费用进出类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)"` // 费用进出类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
+	FinPurseIdsReq
+}
+
+// FinReportPurseStasRes [财务]-能耗预充值统计返回信息
+type FinReportPurseStasItemRes struct {
+	TotalAmount float64 `json:"totalAmount" form:"totalAmount" structs:"totalAmount"` // 总金额
+	PaidAmount  float64 `json:"paidAmount" structs:"paidAmount"`                      // 实际金额
+}
+
+// FinReportPurseStasRes [财务]-能耗预充值统计返回信息
+type FinReportPurseStasRes struct {
+	EcsType     string                    `json:"_"`                           // 能耗类型
+	FeeType     string                    `json:"_"`                           // 能耗类型
+	TotalAmount float64                   `json:"—" structs:"totalAmount"`     // 总金额
+	Total       FinReportPurseStasItemRes `json:"total" structs:"total"`       // 总
+	Electric    FinReportPurseStasItemRes `json:"electric" structs:"electric"` // 电
+	Water       FinReportPurseStasItemRes `json:"water" structs:"water"`       // 水
+	Gas         FinReportPurseStasItemRes `json:"gas" structs:"gas"`           // 气
+}
+
+// FinReportPurseListRes [财务]-能耗预充值统计列表返回信息
+type FinReportPurseFlowListRes struct {
+	Id            uint     `json:"id" structs:"id" label:"资金流水ID"`
+	PurseId       uint     `form:"purseId" json:"purseId,omitempty" structs:"purseId"` // 钱包ID
+	AreaName      string   `json:"areaName" structs:"areaName" label:"区域名"`
+	HouseName     string   `json:"houseName" form:"houseName" structs:"houseName" label:"房屋名称'"` // 房屋名称
+	Address       string   `json:"address" form:"address" structs:"address" label:"仪表地址'"`       // 仪表地址
+	OwnerName     string   `json:"ownerName" form:"ownerName" structs:"ownerName" label:"业主名称'"` // 业主名称
+	EcsType       string   `form:"ecsType" json:"ecsType" structs:"ecsType"`                     // 能耗类型(electric:电费,water:水费,gas:气费)
+	PaymentMethod string   `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"`   // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
+	Amount        float64  `form:"amount" json:"amount" structs:"amount"`                        // 金额
+	OwnerNames    []string `json:"ownerNames" structs:"ownerNames"`                              // 用户名
+	FlowType      string   `json:"flowType" structs:"flowType"`                                  // 缴费类型(0:能耗账单,1:能耗充值,2:钱包充值)
+	FeeName       string   `json:"feeName" structs:"feeName"`                                    // 费用名称
+	PaymentTime   string   `json:"paymentTime"`                                                  // 支付时间
+	Payee         string   `json:"payee"`                                                        // 收款人
+	Payer         string   `json:"payer"`                                                        // 付款人
+}
+
+// FinReportPurseDeductListRes [财务]-能耗流水记录列表返回信息
+type FinReportPurseDeductListRes struct {
+	Id            uint    `json:"id" structs:"id" label:"资金流水ID"`
+	PurseId       uint    `form:"purseId" json:"purseId,omitempty" structs:"purseId"` // 钱包ID
+	AreaName      string  `json:"areaName" structs:"areaName" label:"区域名"`
+	HouseName     string  `json:"houseName" form:"houseName" structs:"houseName" label:"房屋名称'"` // 房屋名称
+	OwnerName     string  `json:"ownerName" form:"ownerName" structs:"ownerName" label:"业主名称'"` // 业主名称
+	Address       string  `json:"address" form:"address" structs:"address" label:"仪表地址'"`       // 仪表地址
+	EcsType       string  `form:"ecsType" json:"ecsType" structs:"ecsType"`                     // 能耗类型(electric:电费,water:水费,gas:气费)
+	PaymentMethod string  `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"`   // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
+	Amount        float64 `form:"amount" json:"amount" structs:"amount"`                        // 金额
+	FlowType      string  `json:"flowType" structs:"flowType"`                                  // 缴费类型(0:能耗账单,1:能耗充值,2:钱包充值)
+	FeeName       string  `json:"feeName" structs:"feeName"`                                    // 费用名称
+	PaymentTime   string  `json:"paymentTime"`                                                  // 支付时间
+	Payee         string  `json:"payee"`                                                        // 收款人
+	Payer         string  `json:"payer"`                                                        // 付款人
+	UsageStart    float64 `json:"usageStart" structs:"usageStart"`                              // 开始用量
+	UsageEnd      float64 `json:"usageEnd" structs:"usageEnd"`                                  // 结束用量
+	UsageTotal    float64 `json:"usageTotal" structs:"usageTotal"`                              // 用量
+	HouseId       uint    `structs:"houseId" label:"房屋ID"`                                      // 房屋ID
+	BillId        uint    `structs:"billId" label:"账单ID"`                                       // 账单ID
+}
+
+// FinReportPurseUsageListRes [财务]-用能费用报表返回信息
+type FinReportPurseUsageListRes struct {
+	Id          uint    `json:"id" structs:"id" label:"资金流水ID"`
+	PurseId     uint    `form:"purseId" json:"purseId,omitempty" structs:"purseId"` // 钱包ID
+	AreaName    string  `json:"areaName" structs:"areaName" label:"区域名"`
+	HouseName   string  `json:"houseName" form:"houseName" structs:"houseName" label:"房屋名称'"` // 房屋名称
+	OwnerName   string  `json:"ownerName" form:"ownerName" structs:"ownerName" label:"业主名称'"` // 业主名称
+	Address     string  `json:"address" form:"address" structs:"address" label:"仪表地址'"`       // 仪表地址
+	UsageAmount float64 `form:"amount" json:"amount" structs:"amount"`                        // 金额
+	UsageTotal  float64 `json:"usageTotal" structs:"usageTotal"`                              // 用量
+	PurseAmount float64 `structs:"purseAmount" label:"电费余额"`                                  // 电费余额
+}
+
+// FinReportStepItemRes [财务]-用能阶梯费用信息
+type FinReportStepItemRes struct {
+	Id     uint    `json:"id" structs:"id" label:"资金流水ID"`
+	Amount float64 `form:"amount" json:"amount" structs:"amount"` // 金额
+	Usage  float64 `json:"usage" structs:"usage" label:"用量"`      // 用量
+}
+
+// FinReportStepListRes [财务]-用能阶梯费用报表返回信息
+type FinReportStepListRes struct {
+	Id          uint                   `json:"id" structs:"id" label:"资金流水ID"`
+	UsageAmount float64                `form:"usageAmount" json:"usageAmount" structs:"usageAmount"` // 金额
+	UsageTotal  float64                `json:"usageTotal" structs:"usageTotal"`                      // 用量
+	Details     []FinReportStepItemRes `json:"details" structs:"details"`                            // 阶梯用量
+}
+
+// FinReportSharedBillRes [财务]-能耗公摊账单列表返回信息
+type FinReportSharedBillRes struct {
+	Id            uint      `json:"id" structs:"id"`                                            // 主键
+	HouseName     string    `json:"houseName" structs:"houseName"`                              // 房间名
+	AreaName      string    `form:"areaName" json:"hierarchyName" label:"区域名称"`                 // 区域名称
+	OwnerName     string    `form:"ownerName" json:"ownerName" label:"业主名称"`                    // 业主名称
+	DeviceName    string    `form:"deviceName" json:"deviceName" label:"设备名"`                   // 设备名
+	Address       string    `json:"address" form:"address" structs:"address" label:"仪表地址'"`     // 仪表地址
+	FeeName       string    `json:"-"`                                                          // 费用名称
+	BillAmount    float64   `json:"billAmount" form:"billAmount" structs:"billAmount"`          // 账单金额
+	FinTime       time.Time `json:"finTime" structs:"finTime"`                                  // 财务时间
+	PaymentMethod string    `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"` // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
+	PaymentTime   time.Time `json:"paymentTime"`                                                // 支付时间
+	Payee         string    `json:"payee"`                                                      // 收款人
+	Payer         string    `json:"payer"`                                                      // 付款人
+	BillId        uint      `json:"_" structs:"id"`                                             // 主键
+}
diff --git a/app/fin/service/common_service.go b/app/fin/service/common_service.go
index 21e7c3dd0edee3bac2b7f559ebcc97d137e804ac..b19f3a50a01be17aa0f26630b7d4b9cdf8940400 100644
--- a/app/fin/service/common_service.go
+++ b/app/fin/service/common_service.go
@@ -29,17 +29,18 @@ type IFinCommonService interface {
 	ListAllOwnerHouse(listReq finReq.FinCommonOwnerHouseReq, auth *request.AuthReq) (res []finReq.FinCommonOwnerHouseResp, e error)
 	ListAllOwner(listReq finReq.FinCommonOwnerReq, auth *request.AuthReq) (res []finReq.FinCommonOwnerResp, e error)
 	ListAllHouseOwner(listReq finReq.FinCommonOwnerHouseReq, auth *request.AuthReq) (res []finReq.FinCommonOwnerHouseResp, e error)
+	ListHouseOwnerMap(listReq finReq.FinCommonOwnerHouseReq, auth *request.AuthReq) (res map[uint][]finReq.FinCommonOwnerHouseResp, e error)
 	ListRegionOwnerTree(listReq finReq.RegionReq, auth *request.AuthReq) (res []finReq.RegionCommonTreeResp, e error)
 	ListOwnerHouseId(userId uint, userName string) (res []uint, e error)
 	ListCommonAreaDevice(areaIds []uint, meterTypes []string) (res []finReq.RegionDeviceItem, e error)
 	ListAreaDeviceIds(areaIds []uint, meterTypes []string) (rets []uint, e error)
 	ListCommonAreaHouse(areaIds []uint, auth *request.AuthReq) (res []finReq.HouseInfo, e error)
-	ListHouseMap(houseId uint, houseIds []uint, auth *request.AuthReq) (houseMap map[uint]finReq.HouseInfo, err error)
+	ListHouseMap(areaId uint, areaIds []uint, houseId uint, houseIds []uint, auth *request.AuthReq) (houseMap map[uint]finReq.HouseInfo, err error)
 	ListHouseDevice(allAreaIds []uint, areaIds []uint, deviceTypes []string) ([]finReq.HouseInfo, error)
 	GetTopRegionInfo(areaId uint) (res finReq.RegionResp)
 	ListAreaMap(auth *request.AuthReq) (areaNameMap map[uint]finReq.RegionAreaItem)
 	ListAreaHouseMap(auth *request.AuthReq) (areaNameMap map[string]finReq.RegionAreaItem)
-	ListHouseIds(areaId uint, auth *request.AuthReq) (areaIds []uint)
+	ListHouseIds(areaId uint, auth *request.AuthReq) (houseIds []uint)
 }
 
 // finCommonService 初始化
@@ -511,6 +512,85 @@ select othr.ot_id as owner_id, ot.tenant_id, ot.real_name as owner_name, ot.phon
 	return objs, nil
 }
 
+// List [通用服务]-房屋+业主列表
+func (srv finCommonService) ListHouseOwnerMap(listReq finReq.FinCommonOwnerHouseReq, auth *request.AuthReq) (res map[uint][]finReq.FinCommonOwnerHouseResp, e error) {
+	var portfolioOthr portfolio.OTHR
+	var portfolioOt portfolio.OT
+	var portfolioArea portfolio.Area
+	var portfolioHierarchy portfolio.Hierarchy
+
+	rawSql := `select house.*, owner_id, tenant_id, owner_name,  owner_phone from(select house.house_id, house.house_name, hierarchy.id as area_id, hierarchy.name as area_name from(
+SELECT id as house_id, name as house_name, hierarchy_id, tenant_id FROM {portfolioArea} WHERE type = 'house' order by sort asc,id desc
+) house left join {portfolioHierarchy} hierarchy on house.hierarchy_id = hierarchy.id and house.tenant_id = hierarchy.tenant_id
+) house left join (
+select othr.ot_id as owner_id, ot.tenant_id, ot.real_name as owner_name, ot.phone as owner_phone, othr.house_id, othr.relation_type from {portfolioOthr} othr left join {portfolioOt} ot on othr.ot_id = ot."id"
+) ot
+ on house.house_id = ot.house_id where {cond}`
+
+	rawSql = strings.Replace(rawSql, "{portfolioOthr}", portfolioOthr.TableName(), -1)
+	rawSql = strings.Replace(rawSql, "{portfolioOt}", portfolioOt.TableName(), -1)
+	rawSql = strings.Replace(rawSql, "{portfolioArea}", portfolioArea.TableName(), -1)
+	rawSql = strings.Replace(rawSql, "{portfolioHierarchy}", portfolioHierarchy.TableName(), -1)
+
+	builder := strings.Builder{}
+	builder.WriteString("1=1")
+	if auth != nil && auth.TenantId != 0 && !auth.HasFullAccess() {
+		builder.WriteString(" and house.tenant_id=")
+		builder.WriteString(strconv.FormatUint(uint64(auth.TenantId), 10))
+	}
+	if listReq.OwnerId != 0 {
+		builder.WriteString(" and owner_id=")
+		builder.WriteString(strconv.FormatUint(uint64(listReq.OwnerId), 10))
+	}
+	if len(listReq.OwnerName) > 0 {
+		builder.WriteString(" and owner_name like '%")
+		builder.WriteString(listReq.OwnerName)
+		builder.WriteString("%'")
+	}
+	if len(listReq.OwnerPhone) > 0 {
+		builder.WriteString(" and owner_phone=")
+		builder.WriteString(listReq.OwnerPhone)
+		builder.WriteString("%'")
+	}
+	if listReq.HouseId != 0 {
+		builder.WriteString(" and house.house_id=")
+		builder.WriteString(strconv.FormatUint(uint64(listReq.HouseId), 10))
+	}
+	if len(listReq.HouseName) > 0 {
+		builder.WriteString(" and house_name like '%")
+		builder.WriteString(listReq.HouseName)
+		builder.WriteString("%'")
+	}
+	if listReq.AreaId != 0 {
+		builder.WriteString(" and area_id=")
+		builder.WriteString(strconv.FormatUint(uint64(listReq.AreaId), 10))
+	}
+	if len(listReq.AreaName) > 0 {
+		builder.WriteString(" and area_name like '%")
+		builder.WriteString(listReq.AreaName)
+		builder.WriteString("%'")
+	}
+	rawSql = strings.Replace(rawSql, "{cond}", builder.String(), -1)
+	sql := rawSql
+
+	// 数据
+	var objs []finReq.FinCommonOwnerHouseResp
+	err := srv.db.Raw(sql).Find(&objs).Error
+	if e = response.CheckErr(err, "List Find err"); e != nil {
+		return
+	}
+	for _, obj := range objs {
+		item, find := res[obj.HouseId]
+		if !find {
+			item = append(item, obj)
+		} else {
+			item = append(item, obj)
+		}
+		res[obj.HouseId] = item
+	}
+	return
+}
+
 func (srv finCommonService) ListRegionOwnerTree(listReq finReq.RegionReq, auth *request.AuthReq) ([]finReq.RegionCommonTreeResp, error) {
 	sql := query.AuthQuery(srv.db.Model(&portfolio.Hierarchy{}), auth).Where("pid = 0")
 	if !auth.IsSuperAdmin && !auth.SoftSuperAdmin {
@@ -641,34 +721,13 @@ select othr.ot_id as owner_id, ot.tenant_id, ot.real_name as owner_name, ot.phon
 }
 
 func (srv finCommonService) ListCommonAreaDevice(areaIds []uint, meterTypes []string) ([]finReq.RegionDeviceItem, error) {
-	sql := srv.db.Model(&portfolio.Hierarchy{}).Where("pid = 0").Where("id in (?)", areaIds)
-
-	var commonAreas []finReq.RegionCommonTreeResp
-	err := sql.Select("id, name, pid").Order("sort asc, id desc").Find(&commonAreas).Error
-	if err != nil {
-		return nil, err
-	}
-
-	sql = srv.db.Model(&portfolio.Hierarchy{})
-	var subAreas []finReq.RegionCommonTreeResp
-	err = sql.Select("id, name, pid").Where("pid > 0").Order("sort asc, id desc").Find(&subAreas).Error
-	if err != nil {
-		return nil, err
-	}
-	commonAreas = append(commonAreas, subAreas...)
-
-	var objs []resp.PortfolioHierarchyResp
-	response.Copy(&objs, commonAreas)
-	list := util.ConvertUtil.StructsToMaps(objs)
-	mapList := util.ArrayUtil.ListToTree(list, "id", "pid", "children")
-
 	var deviceObjs []finReq.RegionDeviceItem
 	var areaInstrument portfolio.AreaInstrument
 	var deviceInstrument device.Instrument
 	var portfolioArea portfolio.Area
 	rawSql := `select bind.area_id, device.* from 
 (select instrument_id, bind.area_id from {areaInstrument} bind join {portfolioArea} area on area.id = bind.area_id where type = 'commonArea' and area.is_deleted = 0 and {houseCond}) bind
-join (select id as device_id, name as device_name, flag device_type from {deviceInstrument} where {meterTypeCond}) device on bind.instrument_id = device.device_id`
+join (select id as device_id, name as device_name, address, flag device_type from {deviceInstrument} where {meterTypeCond}) device on bind.instrument_id = device.device_id`
 	rawSql = strings.Replace(rawSql, "{areaInstrument}", areaInstrument.TableName(), -1)
 	rawSql = strings.Replace(rawSql, "{deviceInstrument}", deviceInstrument.TableName(), -1)
 	rawSql = strings.Replace(rawSql, "{portfolioArea}", portfolioArea.TableName(), -1)
@@ -705,8 +764,8 @@ join (select id as device_id, name as device_name, flag device_type from {device
 	if areaIds != nil && len(areaIds) > 0 {
 		houseBuilder.WriteString("area_id in(")
 		length := len(areaIds)
-		for index, houseId := range areaIds {
-			houseBuilder.WriteString(strconv.FormatUint(uint64(houseId), 10))
+		for index, areaId := range areaIds {
+			houseBuilder.WriteString(strconv.FormatUint(uint64(areaId), 10))
 			if index < length-1 {
 				houseBuilder.WriteString(",")
 			}
@@ -715,35 +774,11 @@ join (select id as device_id, name as device_name, flag device_type from {device
 	}
 	rawSql = strings.Replace(rawSql, "{houseCond}", houseBuilder.String(), -1)
 
-	err = srv.db.Raw(rawSql).Find(&deviceObjs).Error
+	err := srv.db.Raw(rawSql).Find(&deviceObjs).Error
 	if e := response.CheckErr(err, "List Find err"); e != nil {
 		return nil, err
 	}
-	deviceMap := listToDeviceMap(deviceObjs)
-
-	var rets []finReq.RegionDeviceItem
-	for _, subData := range mapList {
-		resByre, resByteErr := json.Marshal(subData)
-		if resByteErr != nil {
-			fmt.Println(resByteErr.Error())
-			continue
-		}
-		var item finReq.RegionCommonTreeResp
-		jsonRes := json.Unmarshal(resByre, &item)
-		if jsonRes != nil {
-			fmt.Println(jsonRes.Error())
-			continue
-		}
-		curId := item.Id
-		curName := item.Name
-		children := item.Children
-		var tmpList []finReq.RegionDeviceItem
-		_, tmpList = transeMapDeviceList(children, curId, curName, tmpList, deviceMap)
-		if tmpList != nil && len(tmpList) > 0 {
-			rets = append(rets, tmpList...)
-		}
-	}
-	return rets, nil
+	return deviceObjs, nil
 }
 
 func (srv finCommonService) ListAreaDeviceIds(areaIds []uint, meterTypes []string) (rets []uint, e error) {
@@ -806,19 +841,55 @@ func (srv finCommonService) ListCommonAreaHouse(areaIds []uint, auth *request.Au
 	return houseList, nil
 }
 
-func (srv finCommonService) ListHouseMap(houseId uint, houseIds []uint, auth *request.AuthReq) (houseMap map[uint]finReq.HouseInfo, err error) {
-	sql := srv.db.Model(&portfolio.Area{}).Where("type = 'house'")
-	if houseId > 0 {
-		sql = sql.Where("id = ?", houseId)
+func (srv finCommonService) ListHouseMap(areaId uint, areaIds []uint, houseId uint, houseIds []uint, auth *request.AuthReq) (houseMap map[uint]finReq.HouseInfo, err error) {
+	var portfolioOthr portfolio.OTHR
+	var portfolioArea portfolio.Area
+	rawSql := `select house.house_id, name as house_name, content, move_in_time, move_out_time from
+(select id as house_id, name as house_name, content, hierarchy_id from {portfolioArea} where type='house' and is_deleted = 0) house
+JOIN
+(select house_id, relation_type, move_in_time, move_out_time from {portfolioOthr}) othr
+on house.house_id = othr.house_id where {cond}`
+	rawSql = strings.Replace(rawSql, "{portfolioArea}", portfolioArea.TableName(), -1)
+	rawSql = strings.Replace(rawSql, "{portfolioOthr}", portfolioOthr.TableName(), -1)
+
+	builder := strings.Builder{}
+	builder.WriteString("1=1")
+	if areaIds != nil && len(areaIds) > 0 {
+		builder.WriteString(" and hierarchy_id in(")
+		length := len(areaIds)
+		for index, areaId := range areaIds {
+			builder.WriteString(strconv.FormatUint(uint64(areaId), 10))
+			if index < length-1 {
+				builder.WriteString(",")
+			}
+		}
+		builder.WriteString(")")
 	}
-	if len(houseIds) > 0 {
-		sql = sql.Where("id in (?)", houseIds)
+	if houseIds != nil && len(houseIds) > 0 {
+		builder.WriteString(" and house.house_id in(")
+		length := len(houseIds)
+		for index, houseId := range houseIds {
+			builder.WriteString(strconv.FormatUint(uint64(houseId), 10))
+			if index < length-1 {
+				builder.WriteString(",")
+			}
+		}
+		builder.WriteString(")")
 	}
+	if areaId > 0 {
+		builder.WriteString(" and hierarchy_id=")
+		builder.WriteString(strconv.FormatUint(uint64(areaId), 10))
+	}
+	if houseId > 0 {
+		builder.WriteString(" and house.house_id=")
+		builder.WriteString(strconv.FormatUint(uint64(houseId), 10))
+	}
+	rawSql = strings.Replace(rawSql, "{cond}", builder.String(), -1)
 
 	var houseList []finReq.HouseInfo
-	err = sql.Select("id as house_id, name as house_name, content").First(&houseList).Error
-	if err != nil {
-		return
+	err = srv.db.Raw(rawSql).Find(&houseList).Error
+	if e := response.CheckErr(err, "List Find err"); e != nil {
+		return nil, err
 	}
 
 	houseMap = make(map[uint]finReq.HouseInfo)
diff --git a/app/fin/service/device_record_service.go b/app/fin/service/device_record_service.go
index bd20105dabcd61fc5ca9a33991016d7fe69f5b15..4e9780e442c28aa86f5641b604f47706f837f9b2 100644
--- a/app/fin/service/device_record_service.go
+++ b/app/fin/service/device_record_service.go
@@ -10,8 +10,8 @@ import (
 )
 
 type IFinDeviceRecordService interface {
-	ListByHouseId(houseId, deviceId uint, billType string, startDate, endDate time.Time) (res []finModel.FinDeviceRecord, e error)
-	ListByHouseIds(houseIds, deviceIds []uint, billType string, startDate, endDate time.Time) (res []finModel.FinDeviceRecord, e error)
+	ListByHouseId(areaId, houseId, deviceId uint, billType string, isCommon bool, startDate, endDate time.Time) (res []finModel.FinDeviceRecord, e error)
+	ListByHouseIds(areaIds, houseIds, deviceIds []uint, billType string, isCommon bool, startDate, endDate time.Time) (res []finModel.FinDeviceRecord, e error)
 	SaveBatch(objs []finModel.FinDeviceRecord) (e error)
 	GetRecordNum(houseId, deviceId uint, billType string, startDate, endDate time.Time) (count int64, e error)
 }
@@ -27,10 +27,13 @@ type finRecordService struct {
 }
 
 // List [任务]-任务-设备费用列表
-func (srv finRecordService) ListByHouseId(houseId, deviceId uint, billType string, startDate, endDate time.Time) (res []finModel.FinDeviceRecord, e error) {
+func (srv finRecordService) ListByHouseId(areaId, houseId, deviceId uint, billType string, isCommon bool, startDate, endDate time.Time) (res []finModel.FinDeviceRecord, e error) {
 	nilTime := time.Time{}
 	// 查询
 	model := srv.db.Model(&finModel.FinDeviceRecord{})
+	if areaId > 0 {
+		model = model.Where("area_id = ?", areaId)
+	}
 	if houseId > 0 {
 		model = model.Where("house_id = ?", houseId)
 	}
@@ -46,6 +49,9 @@ func (srv finRecordService) ListByHouseId(houseId, deviceId uint, billType strin
 	if endDate != nilTime {
 		model = model.Where("fee_date <= ?", endDate)
 	}
+	if isCommon {
+		model = model.Where("common_area_id is not null")
+	}
 	// 数据
 	err := model.Find(&res).Error
 	if e = response.CheckErr(err, "List Find err"); e != nil {
@@ -55,12 +61,15 @@ func (srv finRecordService) ListByHouseId(houseId, deviceId uint, billType strin
 }
 
 // List [任务]-任务-设备费用列表
-func (srv finRecordService) ListByHouseIds(houseIds, deviceIds []uint, billType string, startDate, endDate time.Time) (res []finModel.FinDeviceRecord, e error) {
+func (srv finRecordService) ListByHouseIds(areaIds, houseIds, deviceIds []uint, billType string, isCommon bool, startDate, endDate time.Time) (res []finModel.FinDeviceRecord, e error) {
 	nilTime := time.Time{}
 	// 查询
 	model := srv.db.Model(&finModel.FinDeviceRecord{})
+	if len(areaIds) > 0 {
+		model = model.Where("area_id in (?)", areaIds)
+	}
 	if len(houseIds) > 0 {
-		model = model.Where("house_id in (?)", houseIds)
+		model = model.Where("area_id in (?)", houseIds)
 	}
 	if len(deviceIds) > 0 {
 		model = model.Where("device_id in (?)", deviceIds)
@@ -74,6 +83,9 @@ func (srv finRecordService) ListByHouseIds(houseIds, deviceIds []uint, billType
 	if endDate != nilTime {
 		model = model.Where("fee_date <= ?", endDate)
 	}
+	if isCommon {
+		model = model.Where("common_area_id is not null")
+	}
 	// 数据
 	err := model.Find(&res).Error
 	if e = response.CheckErr(err, "List Find err"); e != nil {
@@ -93,11 +105,16 @@ func (srv finRecordService) SaveBatch(objs []finModel.FinDeviceRecord) (e error)
 func (srv finRecordService) GetRecordNum(houseId, deviceId uint, billType string, startDate, endDate time.Time) (count int64, e error) {
 	// 查询
 	model := query.NewAuthQuery(srv.db.Model(&finModel.FinDeviceRecord{}), nil)
-	model = model.Where("house_id = ?", houseId)
+	if houseId > 0 {
+		model = model.Where("house_id = ?", houseId)
+	}
 	if deviceId > 0 {
 		model = model.Where("device_id = ?", deviceId)
 	}
-	model = model.Where("(start_date >= ? and start_date <= ?) or (start_date >= ? and start_date <= ?)", startDate, endDate, startDate, endDate)
+	if len(billType) > 0 {
+		model = model.Where("bill_type = ?", billType)
+	}
+	model = model.Where("(fee_date >= ? and fee_date <= ?) or (fee_date >= ? and fee_date <= ?)", startDate, endDate, startDate, endDate)
 	// 数据
 	err := model.Count(&count).Error
 	if e = response.CheckErr(err, "List Find err"); e != nil {
